<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.views">
      <view
            name="Modeling Operations"
            icon="icons/repository.png"
            category="org.modelversioning.operations.views"
            class="org.modelversioning.operations.execution.ui.views.ModelOperationsView"
            id="org.modelversioning.operations.execution.ui.views.ModelOperationsView">
      </view>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="contexts.xml">
      </contexts>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            id="org.modelversioning.operations.execution.ui.modeloperations"
            nameFilter="*.operation"
            objectClass="org.eclipse.core.resources.IFile">
         <menu
               id="org.modelversioning.operations.execution.ui.modeloperations"
               label="EMF Modeling Operations"
               path="additions">
            <separator
                  name="repository">
            </separator>
         </menu>
         <action
               class="org.modelversioning.operations.execution.ui.popup.actions.RegisterOperationAction"
               enablesFor="1"
               id="org.modelversioning.operations.execution.ui.modeloperations.register"
               label="Register Modeling Operation"
               menubarPath="org.modelversioning.operations.execution.ui.modeloperations/repository"
               tooltip="Registers the selected model operation.">
         </action>
      </objectContribution>
   </extension>

</plugin>
